Bug 748296 - Can't use my phone as a USB Broadband Modem with ModemManager
Can't use my phone as a USB Broadband Modem with ModemManager
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ModemManager (Show other bugs)
15
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-23 21:15 EDT by anthonysepa
Modified: 2012-08-07 12:06 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 12:06:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description anthonysepa 2011-10-23 21:15:45 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Hook phone to system using USB cable
2. Setup new broadband entry in NetworkManager
3. Select broadband entry
  
Actual results:
No connection

Expected results:
Should connect and create network link

Additional info:
ModemManager Debug:
modem-manager[6283]: <info>  [1319418269.834512] [main.c:167] main(): ModemManager (version 0.4.998-1.git20110706.fc15) starting...
modem-manager[6283]: <info>  [1319418269.840535] [mm-manager.c:120] load_plugin(): Loaded plugin Generic
modem-manager[6283]: <info>  [1319418269.841013] [mm-manager.c:120] load_plugin(): Loaded plugin Novatel
modem-manager[6283]: <info>  [1319418269.841563] [mm-manager.c:120] load_plugin(): Loaded plugin Longcheer
modem-manager[6283]: <info>  [1319418269.841986] [mm-manager.c:120] load_plugin(): Loaded plugin MotoC
modem-manager[6283]: <info>  [1319418269.842300] [mm-manager.c:120] load_plugin(): Loaded plugin Ericsson MBM
modem-manager[6283]: <info>  [1319418269.842628] [mm-manager.c:120] load_plugin(): Loaded plugin Sierra
modem-manager[6283]: <info>  [1319418269.842964] [mm-manager.c:120] load_plugin(): Loaded plugin Option High-Speed
modem-manager[6283]: <info>  [1319418269.843278] [mm-manager.c:120] load_plugin(): Loaded plugin Gobi
modem-manager[6283]: <info>  [1319418269.843612] [mm-manager.c:120] load_plugin(): Loaded plugin ZTE
modem-manager[6283]: <info>  [1319418269.843989] [mm-manager.c:120] load_plugin(): Loaded plugin Wavecom
modem-manager[6283]: <info>  [1319418269.844505] [mm-manager.c:120] load_plugin(): Loaded plugin Linktop
modem-manager[6283]: <info>  [1319418269.844811] [mm-manager.c:120] load_plugin(): Loaded plugin Option
modem-manager[6283]: <info>  [1319418269.845139] [mm-manager.c:120] load_plugin(): Loaded plugin Huawei
modem-manager[6283]: <info>  [1319418269.845457] [mm-manager.c:120] load_plugin(): Loaded plugin Nokia
modem-manager[6283]: <info>  [1319418269.845768] [mm-manager.c:120] load_plugin(): Loaded plugin AnyData
modem-manager[6283]: <info>  [1319418269.846190] [mm-manager.c:120] load_plugin(): Loaded plugin X22X
modem-manager[6283]: <info>  [1319418269.846540] [mm-manager.c:120] load_plugin(): Loaded plugin Samsung
modem-manager[6283]: <info>  [1319418269.846952] [mm-manager.c:120] load_plugin(): Loaded plugin SimTech
modem-manager[6283]: <debug> [1319418269.850303] [mm-manager.c:809] device_added(): (tty/ttyS1): port's parent platform driver is not whitelisted
modem-manager[6283]: <debug> [1319418269.850571] [mm-manager.c:809] device_added(): (tty/ttyS2): port's parent platform driver is not whitelisted
modem-manager[6283]: <debug> [1319418269.850787] [mm-manager.c:809] device_added(): (tty/ttyS3): port's parent platform driver is not whitelisted
modem-manager[6283]: <debug> [1319418269.850968] [mm-manager.c:793] device_added(): (tty/ttyS0): could not get port's parent device
modem-manager[6283]: <info>  [1319418286.361537] [mm-serial-port.c:735] mm_serial_port_open(): (ttyACM0) opening serial port...
modem-manager[6283]: <debug> [1319418286.366686] [mm-serial-port.c:804] mm_serial_port_open(): (ttyACM0) device open count is 1 (open)
modem-manager[6283]: <debug> [1319418286.366743] [mm-plugin-base.c:848] try_open(): (ttyACM0): probe requested by plugin 'Nokia'
modem-manager[6283]: <debug> [1319418286.467885] [mm-at-serial-port.c:298] debug_log(): (ttyACM0): --> 'AT+GCAP<CR>'
modem-manager[6283]: <debug> [1319418287.170268] [mm-at-serial-port.c:298] debug_log(): (ttyACM0): <-- '<CR><LF>+GCAP: +CGSM,+W<CR><LF><CR><LF>OK<CR><LF>'
modem-manager[6283]: <debug> [1319418287.170565] [mm-serial-port.c:838] mm_serial_port_close(): (ttyACM0) device open count is 0 (close)
modem-manager[6283]: <info>  [1319418287.170652] [mm-serial-port.c:853] mm_serial_port_close(): (ttyACM0) closing serial port...
modem-manager[6283]: <info>  [1319418287.173171] [mm-serial-port.c:874] mm_serial_port_close(): (ttyACM0) serial port closed
modem-manager[6283]: <debug> [1319418287.177143] [mm-modem-base.c:155] mm_modem_base_add_port(): (ttyACM0) type primary claimed by /sys/devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.3
modem-manager[6283]: <info>  [1319418287.177677] [mm-serial-port.c:735] mm_serial_port_open(): (ttyACM0) opening serial port...
modem-manager[6283]: <debug> [1319418287.178358] [mm-serial-port.c:804] mm_serial_port_open(): (ttyACM0) device open count is 1 (open)
modem-manager[6283]: <debug> [1319418287.178574] [mm-serial-port.c:804] mm_serial_port_open(): (ttyACM0) device open count is 2 (open)
modem-manager[6283]: <debug> [1319418287.178679] [mm-serial-port.c:804] mm_serial_port_open(): (ttyACM0) device open count is 3 (open)
modem-manager[6283]: <info>  [1319418287.178954] [mm-manager.c:564] do_grab_port(): (Nokia): GSM modem /sys/devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.3 claimed port ttyACM0
modem-manager[6283]: <debug> [1319418287.179031] [mm-manager.c:317] add_modem(): Added modem /sys/devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.3
modem-manager[6283]: <debug> [1319418287.179182] [mm-manager.c:243] check_export_modem(): (tty/ttyACM0): outstanding support task prevents export of /sys/devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.3
modem-manager[6283]: <debug> [1319418287.179549] [mm-at-serial-port.c:298] debug_log(): (ttyACM0): --> 'ATE0<CR>'
modem-manager[6283]: <debug> [1319418287.184703] [mm-at-serial-port.c:298] debug_log(): (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
modem-manager[6283]: <debug> [1319418287.184952] [mm-at-serial-port.c:298] debug_log(): (ttyACM0): --> 'AT+GMI<CR>'
modem-manager[6283]: <debug> [1319418287.192873] [mm-at-serial-port.c:298] debug_log(): (ttyACM0): <-- '<CR><LF>Nokia<CR><LF><CR><LF>OK<CR><LF>'
modem-manager[6283]: <debug> [1319418287.193037] [mm-at-serial-port.c:298] debug_log(): (ttyACM0): --> 'AT+GMM<CR>'
modem-manager[6283]: <debug> [1319418287.203828] [mm-at-serial-port.c:298] debug_log(): (ttyACM0): <-- '<CR><LF>C3-00<CR><LF><CR><LF>OK<CR><LF>'
modem-manager[6283]: <debug> [1319418287.203927] [mm-at-serial-port.c:298] debug_log(): (ttyACM0): --> 'AT+GMR<CR>'
modem-manager[6283]: <debug> [1319418287.211614] [mm-at-serial-port.c:298] debug_log(): (ttyACM0): <-- '<CR><LF>V 08.63<CR><LF>25-03-11<CR><LF>RM-614<CR><LF>(c) Nokia            <CR><LF><CR><LF>OK<CR><LF>'
modem-manager[6283]: <debug> [1319418287.211737] [mm-at-serial-port.c:298] debug_log(): (ttyACM0): --> 'AT+CGMI<CR>'
modem-manager[6283]: <debug> [1319418287.220345] [mm-at-serial-port.c:298] debug_log(): (ttyACM0): <-- '<CR><LF>Nokia<CR><LF><CR><LF>OK<CR><LF>'
modem-manager[6283]: <debug> [1319418287.220454] [mm-at-serial-port.c:298] debug_log(): (ttyACM0): --> 'AT+CGMM<CR>'
modem-manager[6283]: <debug> [1319418287.229811] [mm-at-serial-port.c:298] debug_log(): (ttyACM0): <-- '<CR><LF>C3-00<CR><LF><CR><LF>OK<CR><LF>'
modem-manager[6283]: <debug> [1319418287.229919] [mm-at-serial-port.c:298] debug_log(): (ttyACM0): --> 'AT+CGMR<CR>'
modem-manager[6283]: <debug> [1319418287.239707] [mm-at-serial-port.c:298] debug_log(): (ttyACM0): <-- '<CR><LF>V 08.63<CR><LF>25-03-11<CR><LF>RM-614<CR><LF>(c) Nokia            <CR><LF><CR><LF>OK<CR><LF>'
modem-manager[6283]: <debug> [1319418287.239850] [mm-at-serial-port.c:298] debug_log(): (ttyACM0): --> 'ATI<CR>'
modem-manager[6283]: <debug> [1319418287.244097] [mm-at-serial-port.c:298] debug_log(): (ttyACM0): <-- '<CR><LF>Nokia<CR><LF><CR><LF>OK<CR><LF>'
modem-manager[6283]: <debug> [1319418287.244210] [mm-at-serial-port.c:298] debug_log(): (ttyACM0): --> 'ATI1<CR>'
modem-manager[6283]: <debug> [1319418287.249485] [mm-at-serial-port.c:298] debug_log(): (ttyACM0): <-- '<CR><LF>357386042046807<CR><LF><CR><LF>OK<CR><LF>'
modem-manager[6283]: <debug> [1319418287.249597] [mm-at-serial-port.c:298] debug_log(): (ttyACM0): --> 'AT+GSN<CR>'
modem-manager[6283]: <debug> [1319418287.257194] [mm-at-serial-port.c:298] debug_log(): (ttyACM0): <-- '<CR><LF>357386042046807<CR><LF><CR><LF>OK<CR><LF>'
modem-manager[6283]: <debug> [1319418287.257324] [mm-at-serial-port.c:298] debug_log(): (ttyACM0): --> 'AT+CGSN<CR>'
modem-manager[6283]: <debug> [1319418287.266086] [mm-at-serial-port.c:298] debug_log(): (ttyACM0): <-- '<CR><LF>357386042046807<CR><LF><CR><LF>OK<CR><LF>'
modem-manager[6283]: <debug> [1319418287.266307] [mm-modem-helpers.c:888] mm_create_device_identifier(): Device ID source '0000042100000399Nokia357386042046807357386042046807V08.6325-03-11RM-614(c)NokiaC3-00Nokia'
modem-manager[6283]: <debug> [1319418287.266348] [mm-modem-helpers.c:889] mm_create_device_identifier(): Device ID '394c3637b0bfb0617481f6ad36fb960b1700f108'
modem-manager[6283]: <debug> [1319418287.266423] [mm-serial-port.c:838] mm_serial_port_close(): (ttyACM0) device open count is 2 (close)
modem-manager[6283]: <debug> [1319418287.266476] [mm-at-serial-port.c:298] debug_log(): (ttyACM0): --> 'ATE0<CR>'
modem-manager[6283]: <debug> [1319418287.272785] [mm-at-serial-port.c:298] debug_log(): (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
modem-manager[6283]: <debug> [1319418287.272920] [mm-serial-port.c:838] mm_serial_port_close(): (ttyACM0) device open count is 1 (close)
modem-manager[6283]: <debug> [1319418287.272955] [mm-at-serial-port.c:298] debug_log(): (ttyACM0): --> 'AT+CMEE=1<CR>'
modem-manager[6283]: <debug> [1319418287.283724] [mm-at-serial-port.c:298] debug_log(): (ttyACM0): <-- '<CR><LF>OK<CR><LF>'
modem-manager[6283]: <debug> [1319418287.283870] [mm-at-serial-port.c:298] debug_log(): (ttyACM0): --> 'AT+CPIN?<CR>'
modem-manager[6283]: <debug> [1319418287.293519] [mm-at-serial-port.c:298] debug_log(): (ttyACM0): <-- '<CR><LF>+CPIN: READY<CR><LF><CR><LF>OK<CR><LF>'
modem-manager[6283]: <debug> [1319418287.293664] [mm-serial-port.c:804] mm_serial_port_open(): (ttyACM0) device open count is 2 (open)
modem-manager[6283]: <debug> [1319418287.293741] [mm-serial-port.c:838] mm_serial_port_close(): (ttyACM0) device open count is 1 (close)
modem-manager[6283]: <debug> [1319418287.293836] [mm-at-serial-port.c:298] debug_log(): (ttyACM0): --> 'AT+CRSM=176,12258,0,0,10<CR>'
modem-manager[6283]: <debug> [1319418287.322156] [mm-at-serial-port.c:298] debug_log(): (ttyACM0): <-- '<CR><LF>ERROR<CR><LF>'
modem-manager[6283]: <debug> [1319418287.322270] [mm-serial-parsers.c:412] mm_serial_parser_v1_parse(): Got failure code 100: Unknown error
modem-manager[6283]: <debug> [1319418287.322343] [mm-serial-port.c:838] mm_serial_port_close(): (ttyACM0) device open count is 0 (close)
modem-manager[6283]: <info>  [1319418287.322389] [mm-serial-port.c:853] mm_serial_port_close(): (ttyACM0) closing serial port...
modem-manager[6283]: <info>  [1319418287.324808] [mm-serial-port.c:874] mm_serial_port_close(): (ttyACM0) serial port closed
modem-manager[6283]: <debug> [1319418287.325034] [mm-manager.c:265] check_export_modem(): Exported modem /sys/devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.3 as /org/freedesktop/ModemManager/Modems/0
modem-manager[6283]: <debug> [1319418287.325184] [mm-manager.c:278] check_export_modem(): (/org/freedesktop/ModemManager/Modems/0): VID 0x0421 PID 0x0399 (usb)
modem-manager[6283]: <debug> [1319418287.325215] [mm-manager.c:279] check_export_modem(): (/org/freedesktop/ModemManager/Modems/0): data port is ttyACM0
modem-manager[6283]: <info>  [1319418297.953759] [mm-serial-port.c:735] mm_serial_port_open(): (ttyACM0) opening serial port...
modem-manager[6283]: <debug> [1319418297.954284] [mm-serial-port.c:804] mm_serial_port_open(): (ttyACM0) device open count is 1 (open)
modem-manager[6283]: <info>  [1319418297.954444] [mm-modem.c:742] mm_modem_set_state(): Modem /org/freedesktop/ModemManager/Modems/0: state changed (disabled -> enabling)
modem-manager[6283]: <debug> [1319418298.055538] [mm-at-serial-port.c:298] debug_log(): (ttyACM0): --> 'ATZ E0 V1<CR>'
modem-manager[6283]: <debug> [1319418298.067141] [mm-at-serial-port.c:298] debug_log(): (ttyACM0): <-- '<CR><LF>ERROR<CR><LF>'
modem-manager[6283]: <debug> [1319418298.067254] [mm-serial-parsers.c:412] mm_serial_parser_v1_parse(): Got failure code 100: Unknown error
modem-manager[6283]: <debug> [1319418298.067405] [mm-at-serial-port.c:298] debug_log(): (ttyACM0): --> 'ATZ E0 V1<CR>'
modem-manager[6283]: <debug> [1319418298.078405] [mm-at-serial-port.c:298] debug_log(): (ttyACM0): <-- 'ATZ E0 V1'
modem-manager[6283]: <debug> [1319418298.078750] [mm-at-serial-port.c:298] debug_log(): (ttyACM0): <-- '<CR>'
modem-manager[6283]: <debug> [1319418298.079919] [mm-at-serial-port.c:298] debug_log(): (ttyACM0): <-- '<CR><LF>ERROR<CR><LF>'
modem-manager[6283]: <debug> [1319418298.080129] [mm-serial-parsers.c:412] mm_serial_parser_v1_parse(): Got failure code 100: Unknown error
modem-manager[6283]: <info>  [1319418298.080396] [mm-modem.c:742] mm_modem_set_state(): Modem /org/freedesktop/ModemManager/Modems/0: state changed (enabling -> disabled)
modem-manager[6283]: <debug> [1319418298.080507] [mm-serial-port.c:838] mm_serial_port_close(): (ttyACM0) device open count is 0 (close)
modem-manager[6283]: <info>  [1319418298.080619] [mm-serial-port.c:853] mm_serial_port_close(): (ttyACM0) closing serial port...
modem-manager[6283]: <info>  [1319418298.083242] [mm-serial-port.c:874] mm_serial_port_close(): (ttyACM0) serial port closed

It errors on the ATZ E0 V1 and never recovers. I've setup a ppp0 entry and can manually connect using ifup ppp0 this is the log from that:
Oct 23 22:11:45 office wvdial[6486]: WvDial: Internet dialer version 1.61
Oct 23 22:11:45 office wvdial[6486]: Initializing modem.
Oct 23 22:11:46 office wvdial[6486]: Sending: ATZ
Oct 23 22:11:46 office wvdial[6486]: ATZ
Oct 23 22:11:46 office wvdial[6486]: OK
Oct 23 22:11:46 office wvdial[6486]: Sending: AT+cgdcont=1,"IP","goam.com"
Oct 23 22:11:46 office wvdial[6486]: AT+cgdcont=1,"IP","goam.com"
Oct 23 22:11:46 office wvdial[6486]: OK
Oct 23 22:11:46 office wvdial[6486]: Modem initialized.
Oct 23 22:11:46 office wvdial[6486]: Sending: ATDT*99#
Oct 23 22:11:46 office wvdial[6486]: Waiting for carrier.
Oct 23 22:11:46 office wvdial[6486]: ATDT*99#
Oct 23 22:11:46 office wvdial[6486]: CONNECT
Oct 23 22:11:46 office wvdial[6486]: Carrier detected.  Waiting for prompt.
Oct 23 22:11:46 office wvdial[6486]: ~[7f]}#@!}!R} }2}!}$}%\}"}&} }*} } }#}$@#}0Q~
Oct 23 22:11:46 office wvdial[6486]: PPP negotiation detected.
Oct 23 22:11:46 office pppd[6469]: Serial connection established.
Oct 23 22:11:46 office pppd[6469]: Using interface ppp0
Oct 23 22:11:46 office pppd[6469]: Connect: ppp0 <--> /dev/ttyACM0
Oct 23 22:11:46 office modem-manager[6283]: <debug> [1319418706.843786] [mm-manager.c:793] device_added(): (net/ppp0): could not get port's parent device
Oct 23 22:11:52 office pppd[6469]: Remote message: PAP access OK
Oct 23 22:11:52 office pppd[6469]: PAP authentication succeeded
Oct 23 22:11:53 office pppd[6469]: local  IP address 25.50.32.27
Oct 23 22:11:53 office pppd[6469]: remote IP address 0.50.32.27
Oct 23 22:11:53 office pppd[6469]: primary   DNS address 64.71.255.198
Oct 23 22:11:53 office pppd[6469]: secondary DNS address 64.71.255.253
Oct 23 22:11:53 office NET[6533]: /etc/sysconfig/network-scripts/ifup-post : updated /etc/resolv.conf
Oct 23 22:11:54 office ntpd[931]: Listen normally on 18 ppp0 25.50.32.27 UDP 123
Oct 23 22:11:54 office ntpd[931]: 142.137.247.109 interface 192.168.10.192 -> 25.50.32.27
Oct 23 22:11:54 office ntpd[931]: 208.69.56.110 interface 192.168.10.192 -> 25.50.32.27
Oct 23 22:11:54 office ntpd[931]: 209.172.32.214 interface 192.168.10.192 -> 25.50.32.27
Oct 23 22:11:54 office ntpd[931]: 66.96.30.35 interface 192.168.10.192 -> 25.50.32.27
Oct 23 22:11:54 office ntpd[931]: peers refreshed
Oct 23 22:11:55 office ntpd[931]: 0.0.0.0 0658 08 no_sys_peer

The phone is a Nokia C3-00 and the lsusb information is:
Bus 001 Device 008: ID 0421:0399 Nokia Mobile Phones
Comment 1 Dan Williams 2012-07-20 19:40:52 EDT
Looks like we need to only issue ATZ and then do the E0 V1 later.
Comment 2 Fedora End Of Life 2012-08-07 12:06:09 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.